# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.lucene.backward_codecs.lucene40.blocktree.Lucene40BlockTreeTermsReader
Modifier and Type
Constant Field
Value
`public static final int`
`VERSION_COMPRESSED_SUFFIXES`
`5`
`public static final int`
`VERSION_CURRENT`
`6`
`public static final int`
`VERSION_META_FILE`
`6`
`public static final int`
`VERSION_META_LONGS_REMOVED`
`4`
`public static final int`
`VERSION_START`
`3`

org.apache.lucene.backward_codecs.lucene50.Lucene50PostingsFormat
Modifier and Type
Constant Field
Value
`public static final int`
`BLOCK_SIZE`
`128`
`public static final String`
`DOC_EXTENSION`
`"doc"`
`public static final String`
`PAY_EXTENSION`
`"pay"`
`public static final String`
`POS_EXTENSION`
`"pos"`

org.apache.lucene.backward_codecs.lucene50.compressing.Lucene50CompressingStoredFieldsReader
Modifier and Type
Constant Field
Value
`public static final String`
`FIELDS_EXTENSION`
`"fdt"`
`public static final String`
`INDEX_CODEC_NAME`
`"Lucene85FieldsIndex"`
`public static final String`
`INDEX_EXTENSION`
`"fdx"`
`public static final String`
`META_EXTENSION`
`"fdm"`

org.apache.lucene.backward_codecs.lucene60.Lucene60PointsFormat
Modifier and Type
Constant Field
Value
`public static final String`
`DATA_EXTENSION`
`"dim"`
`public static final String`
`INDEX_EXTENSION`
`"dii"`

org.apache.lucene.backward_codecs.lucene70.Lucene70SegmentInfoFormat
Modifier and Type
Constant Field
Value
`public static final String`
`SI_EXTENSION`
`"si"`

org.apache.lucene.backward_codecs.lucene84.Lucene84PostingsFormat
Modifier and Type
Constant Field
Value
`public static final int`
`BLOCK_SIZE`
`128`
`public static final String`
`DOC_EXTENSION`
`"doc"`
`public static final String`
`PAY_EXTENSION`
`"pay"`
`public static final String`
`POS_EXTENSION`
`"pos"`

org.apache.lucene.backward_codecs.lucene86.Lucene86PointsFormat
Modifier and Type
Constant Field
Value
`public static final String`
`DATA_EXTENSION`
`"kdd"`
`public static final String`
`INDEX_EXTENSION`
`"kdi"`
`public static final String`
`META_EXTENSION`
`"kdm"`
org.apache.lucene.backward_codecs.lucene86.Lucene86SegmentInfoFormat
Modifier and Type
Constant Field
Value
`public static final String`
`SI_EXTENSION`
`"si"`

org.apache.lucene.backward_codecs.lucene87.Lucene87StoredFieldsFormat
Modifier and Type
Constant Field
Value
`protected static final int`
`BEST_COMPRESSION_BLOCK_LENGTH`
`491520`
`protected static final int`
`BEST_SPEED_BLOCK_LENGTH`
`81920`

org.apache.lucene.backward_codecs.lucene90.Lucene90HnswGraphBuilder
Modifier and Type
Constant Field
Value
`public static final String`
`HNSW_COMPONENT`
`"HNSW"`
org.apache.lucene.backward_codecs.lucene90.Lucene90HnswVectorsFormat
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BEAM_WIDTH`
`100`
`public static final int`
`DEFAULT_MAX_CONN`
`16`
org.apache.lucene.backward_codecs.lucene90.Lucene90PostingsFormat
Modifier and Type
Constant Field
Value
`public static final int`
`BLOCK_SIZE`
`128`
`public static final String`
`DOC_EXTENSION`
`"doc"`
`public static final String`
`PAY_EXTENSION`
`"pay"`
`public static final String`
`POS_EXTENSION`
`"pos"`
org.apache.lucene.backward_codecs.lucene90.Lucene90SegmentInfoFormat
Modifier and Type
Constant Field
Value
`public static final String`
`SI_EXTENSION`
`"si"`

org.apache.lucene.backward_codecs.lucene91.Lucene91HnswVectorsFormat
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BEAM_WIDTH`
`100`
`public static final int`
`DEFAULT_MAX_CONN`
`16`

org.apache.lucene.backward_codecs.lucene92.Lucene92HnswVectorsFormat
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BEAM_WIDTH`
`100`
`public static final int`
`DEFAULT_MAX_CONN`
`16`

org.apache.lucene.backward_codecs.lucene94.Lucene94HnswVectorsFormat
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BEAM_WIDTH`
`100`
`public static final int`
`DEFAULT_MAX_CONN`
`16`

org.apache.lucene.backward_codecs.lucene95.Lucene95HnswVectorsFormat
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BEAM_WIDTH`
`100`
`public static final int`
`DEFAULT_MAX_CONN`
`16`

org.apache.lucene.backward_codecs.lucene99.Lucene99PostingsFormat
Modifier and Type
Constant Field
Value
`public static final int`
`BLOCK_SIZE`
`128`
`public static final String`
`DOC_EXTENSION`
`"doc"`
`public static final String`
`PAY_EXTENSION`
`"pay"`
`public static final String`
`POS_EXTENSION`
`"pos"`

org.apache.lucene.backward_codecs.packed.LegacyDirectMonotonicWriter
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_BLOCK_SHIFT`
`22`
`public static final int`
`MIN_BLOCK_SHIFT`
`2`